Debian Bug report logs - #574349
splix performs unaligned memory access; prints blank pages an armel

version graph

Package: splix; Maintainer for splix is Debian Printing Team <debian-printing@lists.debian.org>; Source for splix is src:splix.

Reported by: Luca Niccoli <lultimouomo@gmail.com>

Date: Wed, 17 Mar 2010 14:36:02 UTC

Severity: grave

Tags: patch

Found in version splix/2.0.0-2

Fixed in version splix/2.0.0-2.2

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=2980514&group_id=175815&atid=874746

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lultimouomo@gmail.com, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#574349; Package splix. (Wed, 17 Mar 2010 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Niccoli <lultimouomo@gmail.com>:
New Bug report received and forwarded. Copy sent to lultimouomo@gmail.com, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Wed, 17 Mar 2010 14:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Niccoli <lultimouomo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: splix performs unaligned memory access; prints blank pages an armel
Date: Wed, 17 Mar 2010 15:33:56 +0100
[Message part 1 (text/plain, inline)]
Package: splix
Version: 2.0.0-2
Severity: important
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

splix prints only blank pages on armel, because of an unaligned typecast.
The attached patch forces the compiler to align the offending variable. 
Please note that compiling with -Wcast-align warns about other possible
problems; I have not seen them triggering any alignment trap on my system
though.
Cheers,

Luca

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-2-kirkwood
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages splix depends on:
ii  cups                         1.4.2-5     Common UNIX Printing System(tm) - 
ii  cups-client                  1.4.2-5     Common UNIX Printing System(tm) - 
ii  ghostscript-cups             8.71~dfsg-2 The GPL Ghostscript PostScript/PDF
ii  libc6                        2.10.2-6    Embedded GNU C Library: Shared lib
ii  libcups2                     1.4.2-5     Common UNIX Printing System(tm) - 
ii  libcupsimage2                1.4.2-5     Common UNIX Printing System(tm) - 
ii  libgcc1                      1:4.4.3-1   GCC support library
ii  libstdc++6                   4.4.3-1     The GNU Standard C++ Library v3

splix recommends no packages.

splix suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkug6EwACgkQ+AQB36CPPloSNQCgj40HhOknOKll/VijBBtUXWpr
V1UAn1wmwdbgE0f3aDm8s90y8xo/HTIG
=oldV
-----END PGP SIGNATURE-----
[splix.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#574349; Package splix. (Wed, 17 Mar 2010 14:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Niccoli <lultimouomo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Wed, 17 Mar 2010 14:54:15 GMT) Full text and rfc822 format available.

Message #10 received at 574349@bugs.debian.org (full text, mbox):

From: Luca Niccoli <lultimouomo@gmail.com>
To: 574349@bugs.debian.org
Subject: Re: Bug#574349: splix performs unaligned memory access; prints blank pages an armel
Date: Wed, 17 Mar 2010 15:53:12 +0100
[Message part 1 (text/plain, inline)]
On 17 March 2010 15:33, Luca Niccoli <lultimouomo@gmail.com> wrote:

> The attached patch forces the compiler to align the offending variable.

Ops, forgot to clean up the patch...

Cheers,

Luca
[splix.patch (text/x-diff, attachment)]

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=2980514&group_id=175815&atid=874746'. Request was from Luca Niccoli <lultimouomo@gmail.com> to control@bugs.debian.org. (Thu, 01 Apr 2010 12:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#574349; Package splix. (Wed, 30 Jun 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Niccoli <lultimouomo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Wed, 30 Jun 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 574349@bugs.debian.org (full text, mbox):

From: Luca Niccoli <lultimouomo@gmail.com>
To: 574349@bugs.debian.org
Subject: Re: Bug#574349: splix performs unaligned memory access; prints blank pages an armel
Date: Wed, 30 Jun 2010 17:24:39 +0200
Hi,

are you planning on pulling this patch any time soon?
This bug is really annoying since it prevents using splix on any ARM
print server.
If you don't have time at the moment, I could prepare a NMU and see if
my sponsor is keen to upload it.

Cheers,

Luca




Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#574349; Package splix. (Sun, 29 Aug 2010 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Niccoli <lultimouomo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Sun, 29 Aug 2010 21:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 574349@bugs.debian.org (full text, mbox):

From: Luca Niccoli <lultimouomo@gmail.com>
To: 574349@bugs.debian.org
Subject: splix doesn't work at all on armel
Date: Sun, 29 Aug 2010 23:39:40 +0200
Hi Jeroen,

I write to ping you about a very annoying bug in splix:
it doesn't print on armel because of alignment issues.
I have prepared a minimal patch that only fixes that without touching
the code path.
are you planning on pulling it any time soon?
This bug is really annoying since it prevents using splix on any ARM
print server.
If you don't have time at the moment, I could prepare a NMU and see if
my sponsor is keen to upload it.
I would also be interested in taking over the package, if you don't
have a SPLIX printer any more.
Cheers,

Luca




Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#574349; Package splix. (Sun, 29 Aug 2010 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Niccoli <lultimouomo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Sun, 29 Aug 2010 22:03:02 GMT) Full text and rfc822 format available.

Message #27 received at 574349@bugs.debian.org (full text, mbox):

From: Luca Niccoli <lultimouomo@gmail.com>
To: control@bugs.debian.org, 574349@bugs.debian.org
Date: Sun, 29 Aug 2010 23:59:22 +0200
severity 574349 grave
thank you

Raising severity to grave, since this bug makes the package unusable
on a supported architecture.




Severity set to 'grave' from 'important' Request was from Luca Niccoli <lultimouomo@gmail.com> to control@bugs.debian.org. (Sun, 29 Aug 2010 22:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#574349; Package splix. (Tue, 28 Sep 2010 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Tue, 28 Sep 2010 19:33:06 GMT) Full text and rfc822 format available.

Message #34 received at 574349@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Luca Niccoli <lultimouomo@gmail.com>, 574349@bugs.debian.org
Cc: jeroen@wolffelaar.nl
Subject: splix: please prepare NMU
Date: Tue, 28 Sep 2010 20:31:20 +0100
Hello Luca,

Please do so, prepare a NMU package and I'll upload it. I am afraid
Jeroen might not be interested in this package, would you be
interested to maintain it yourself (if it is fine with Jeroen)?

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Sun, 03 Oct 2010 09:09:10 GMT) Full text and rfc822 format available.

Notification sent to Luca Niccoli <lultimouomo@gmail.com>:
Bug acknowledged by developer. (Sun, 03 Oct 2010 09:09:11 GMT) Full text and rfc822 format available.

Message #39 received at 574349-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 574349-close@bugs.debian.org
Subject: Bug#574349: fixed in splix 2.0.0-2.2
Date: Sun, 03 Oct 2010 09:04:49 +0000
Source: splix
Source-Version: 2.0.0-2.2

We believe that the bug you reported is fixed in the latest version of
splix, which is due to be installed in the Debian FTP archive:

splix_2.0.0-2.2.diff.gz
  to main/s/splix/splix_2.0.0-2.2.diff.gz
splix_2.0.0-2.2.dsc
  to main/s/splix/splix_2.0.0-2.2.dsc
splix_2.0.0-2.2_amd64.deb
  to main/s/splix/splix_2.0.0-2.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574349@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated splix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Oct 2010 10:51:05 +0200
Source: splix
Binary: splix
Architecture: source amd64
Version: 2.0.0-2.2
Distribution: unstable
Urgency: low
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 splix      - Driver for Samsung's SPL2 (bw) and SPLc (color) laser printers
Closes: 574349
Changes: 
 splix (2.0.0-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix alignment to allow printing on ARM, thanks to Luca Niccoli.
     (Closes: #574349)
Checksums-Sha1: 
 b9e172edf2bb56aa5d1115461c3bc7d2ca5ea4f6 1043 splix_2.0.0-2.2.dsc
 fb3915a599d8974dcb1dffce709f613804fec53a 4222 splix_2.0.0-2.2.diff.gz
 3aed885a39f3e6e10c9af037ed9adfa04b65444a 98294 splix_2.0.0-2.2_amd64.deb
Checksums-Sha256: 
 d89dc8706f9760d8247a8e93d8f1f5d3212860bb08998e3c6b187f07f4f72084 1043 splix_2.0.0-2.2.dsc
 dabe6982a3b12679fde0ce04d30fbf71abcbd0d6a1caefc9e2d1941b4fd7b4da 4222 splix_2.0.0-2.2.diff.gz
 c67b9aa69341473a136497607f20798088f1a5936e77f550e99ce6786d1368db 98294 splix_2.0.0-2.2_amd64.deb
Files: 
 c0c055a911ceb9c81b1c810093f7e3d4 1043 text optional splix_2.0.0-2.2.dsc
 0740c6e4f9a34b4a6ee54ac457129f19 4222 text optional splix_2.0.0-2.2.diff.gz
 b115657bf770cd5bf2d22858aec324ea 98294 text optional splix_2.0.0-2.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyoRZEACgkQ7Ro5M7LPzdg8BwCeMUncNq0mdVYtdMSrACD6Q29Y
imEAoNNRyoMkPgpmfMs/SI6RdcOYCOZu
=xpwE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Nov 2010 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:05:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.